<template>
  <div class="container">
    <div class="title">
      <div class="status">
        <slot name="status"></slot>
      </div>
      <div class="question">
        <slot name="question"><span>Загрузка...</span></slot>
      </div>
    </div>
    <div class="content">
      <slot name="content"></slot>
    </div>
    <div class="buttons">
      <slot name="buttons"></slot>
    </div>
  </div>
</template>
<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({});
</script>
<style scoped>
.container {
  display: flex;
  flex-direction: column;
  flex-wrap: nowrap;
  height: 100vh;
  widows: 100vw;
}
.title {
  flex: 5;
  background-color: var(--accent-color);
  color: var(--common-color);
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}
.title .status {
  flex: 8;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  padding-left: 30px;
  padding-right: 30px;
}
.title .question {
  flex: 5;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  padding: 50px 10px;
  font-size: 36px;
}
.content {
  flex: 6;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: stretch;
  text-align: center;
}
.content-part {
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.buttons {
  flex: 2;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  background: var(--bg-color-light);
  border-top: 10px solid var(--bg-color-dark);
}
</style>